@import url('https://fonts.googleapis.com/css2?family=Goldman&family=Poppins:wght@300&display=swap');

*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Goldman', cursive;
  scroll-behavior: smooth;
}

:root{
  --cblue1: #0abcd4;
  --cblue2: #518b9a;
  --cyellow: #fecb00;
}
body{
  position: relative;
}

.top {
  position: fixed;
  right: 10px;
  bottom: 45px;
  visibility: hidden;
  opacity: 0;
  z-index: 100;
  transition: 0.5s;
}

.top ion-icon{
  color: var(--cblue2);
  font-size: 1.5rem;


}
.top.active{
  visibility: visible;
  opacity: 1;
}

.hamburger {
  position: absolute;
  top: 45%;
  right: 20px;
  display: none;
  cursor: pointer;
  color: var(--cblue1);
  font-size: 1.6rem;
  background: transparent;
  margin-right: 30px;
  border: none;

}
/* HEADER */

header{
  position: relative;
  width: 100%;
  height: 140px;
  background-image: url(img/bg01.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
}

.logo{
  width: 30%;
  height: 140px;
}

.logo img{
  width: 9.5rem;
  height: auto;
  margin: 0.5rem 7rem;
  padding-top: 5px;
}

#navbar{
  width: 70%;
  height: 140px;
}

.header-buttons {
  display: none;
  gap: 1rem;
  position: absolute;
  left: 50%;
  bottom: -20px;
  transform: translateX(-50%);
  z-index: 100;
}

.header-buttons a {
  text-decoration: none;
  text-align: center;
  font-size: 1rem;
  color: var(--cblue2);  
  line-height: 20px;
  background-color: var(--cyellow);
  padding: 10px 2rem;
}

.social{
  width: 100%;
  height: 40px;
  background-color: var(--cyellow);
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.social-dis{
  display: flex;
  align-items: center;
}

.social-dis a ion-icon{
  font-size: 1.5rem;
  color: var(--cblue2);
  text-decoration: none;
}

.social-dis a ion-icon:hover{
  color: white;
}


.social-dis span a{
  font-size: 1rem;
  color: var(--cblue2);
  padding-left: 0.5rem;
  text-decoration: none;
}

.social-dis span a:hover{
  color: white;
}


#navbar ul{
  width: 100%;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: space-around;

}

#navbar ul li{
  list-style: none;
}
#navbar ul li a{
  font-size: 1.2rem;
  color: white;
  text-decoration: none;
}
#navbar ul li a:hover{

  color: var(--cblue1);
}

.quote {
 color: var(--cblue1);
 text-transform: uppercase;
 font-size: 1rem;
 cursor: pointer;
 background: none;
 text-align: center;
}
.quote:hover {
 color: var(--cyellow);
}


main{
  width: 100%;
  height: 100vh;
  background-image: url(img/tiling_01.jpg);
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}


.main-text{
  width: 60%;
  height: auto;
  position: absolute;
  bottom: 10%;
  left: 0;
  background: rgba(0, 0, 0, 0.7);
  padding-bottom: 3rem;
  padding-top: 3rem;
  display: flex;
}

.main-text h2{
  text-transform: uppercase;
  font-size: 1.5rem;
  color: var(--cyellow);
  text-align: center;
}

.main-text p{
  width: 60%;
  font-size: 1.2rem;
  color: white;
  padding-left: 4rem;
  padding-right: 5rem;
  line-height: 1.8rem;
}

.main-serv {
  width: 40%;
  padding-left: 2rem;
}

.main-serv a {
  display: block;
  font-size: 1.3rem;
  padding-top: 1rem;
  text-decoration: none;
  color: var(--cblue1);
  text-align: center;
}


.serv-holder{
  width: 100%;
  height: auto;
}

.serv-holder a{
  color: var(--cblue1);
  text-decoration: none;
}


/* INTERIOR TILING */


.interior{
  width: 100%;
  height: 130vh;
  background-image: url(img/interior-tiling.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  position: relative;
  border-top: 5rem solid white;
  border-right: 15rem solid white;
  border-bottom: 5rem solid white;
}

.inter-text{
  width: 55%;
  height: auto;
  position: absolute;
  bottom: 0rem;
  right: -15rem;
  background: rgba(103, 133, 141, 0.85);
  padding-bottom: 2.5rem;
}

.inter-text h2{
  text-transform: uppercase;
  font-size: 1.5rem;
  color: var(--cyellow);
  padding-top: 3rem;
  padding-left: 4rem;
}

.inter-text p{
  font-size: 1.2rem;
  color: white;
  padding-top: 1.4rem;
  padding-left: 4rem;
  padding-right: 5rem;
  line-height: 1.8rem;
}

.interior ul{
  padding-left: 5rem;
  padding-right: 5rem;
  padding-top: 1.4rem;
}

.interior ul li{
  padding-top: 1rem;
  list-style: circle;
  font-size: 1.2rem;
  color: white;
}

.interior ul span{
  color: black;
}


        /* EXTERIOR TILING */


.exterior{
  width: 100%;
  height: 100vh;
  background-image: url(img/exterior-tiling.jpg);
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  border-left: 15rem solid white;
}

.exter-text{
  width: 50%;
  height: auto;
  position: absolute;
  bottom: 5%;
  left: -14.5rem;
  background: rgba(215, 212, 208, 0.85);
  padding-bottom: 2.5rem;
}

.exter-text h2{
  text-transform: uppercase;
  font-size: 1.5rem;
  color: var(--cblue2);
  padding-top: 3rem;
  padding-left: 4rem;
}

.exter-text p{
  font-size: 1.2rem;
  color:black;
  padding-top: 1.4rem;
  padding-left: 4rem;
  padding-right: 5rem;
  line-height: 1.8rem;
}


      /* RENOVATIONS TILING */



      .renovations{
        width: 100%;
        height: 130vh;
        background-image: url(img/renovations.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        background-attachment: fixed;
        position: relative;
        border-top: 5rem solid white;
        border-right: 15rem solid white;
        border-bottom: 5rem solid white;
      }

      .reno-text{
        width: 55%;
        height: auto;
        position: absolute;
        bottom: 0rem;
        right: -15rem;
        background: rgba(52, 53, 49, 0.85);
        padding-bottom: 2.5rem;
      }

      .reno-text h2{
        text-transform: uppercase;
        font-size: 1.5rem;
        color: var(--cyellow);
        padding-top: 3rem;
        padding-left: 4rem;
      }

      .reno-text p{
        font-size: 1.2rem;
        color: white;
        padding-top: 1.4rem;
        padding-left: 4rem;
        padding-right: 5rem;
        line-height: 1.8rem;
      }




          /* WATERPROOFING */



          .waterproof{
            width: 100%;
            height: 100vh;
            background-image: url(img/waterproof.jpg);
            background-position: top;
            background-repeat: no-repeat;
            background-size: cover;
            position: relative;
            border-left: 15rem solid white;
          }

          .water-text{
            width: 50%;
            height: auto;
            position: absolute;
            bottom: 5%;
            left: -14.5rem;
            background: rgba(215, 212, 208, 0.85);
            padding-bottom: 2.5rem;
          }

          .water-text h2{
            text-transform: uppercase;
            font-size: 1.5rem;
            color: var(--cblue2);
            padding-top: 3rem;
            padding-left: 4rem;
          }

          .water-text p{
            font-size: 1.2rem;
            color: black;
            padding-top: 1.4rem;
            padding-left: 4rem;
            padding-right: 5rem;
            line-height: 1.8rem;
          }



          /* HEATING */


          .heating{
            width: 100%;
            height: 130vh;
            background-image: url(img/heating.jpg);
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            background-attachment: fixed;
            position: relative;
            border-top: 5rem solid white;
            border-right: 15rem solid white;
            border-bottom: 5rem solid white;
          }

          .heating-text{
            width: 55%;
            height: auto;
            position: absolute;
            bottom: 0rem;
            right: -15rem;
            background: rgba(96, 126, 135, 0.85);
            padding-bottom: 2.5rem;
          }

          .heating-text h2{
            text-transform: uppercase;
            font-size: 1.5rem;
            color: var(--cyellow);
            padding-top: 3rem;
            padding-left: 4rem;
          }

          .heating-text p{
            font-size: 1.2rem;
            color: white;
            padding-top: 1.4rem;
            padding-left: 4rem;
            padding-right: 5rem;
            line-height: 1.8rem;
          }




            /*      COSTUMERS    */

          .costumers{
            width: 100%;
            height: auto;
            padding: 3rem;
            display: flex;
            align-items: center;
            justify-content: space-between;
            background-color: white;
          }

          .star p{
            font-size: 1.6rem;
            text-align: center;
          }

          .star a{
            font-size: 1.6rem;
            text-decoration: none;
            color: var(--cblue1);
          }

          .star img{
            width: 350px;
            height: 75px;
          }

          .get-in-touch p{
            font-size: 1.6rem;
            color: var(--cblue1);
            padding-bottom: 1.5rem;
          }



          /*      CONTACT    */

      footer{
        width: 100%;
        height: auto;
        background-image: url(img/bg01.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
      }

      footer p{
        font-size: 0.8rem;
        color: white;
        text-align: center;
        padding-bottom: 2rem;
      }
      .contact-holder{
        width: 100%;
        height: auto;
        display: flex;
        align-items: top;
        padding-top: 6rem;
        padding-bottom: 6rem;

      }

      .footer-logo{
        width: 33%;
        display: flex;
        flex-direction: column;
        padding-left: 10%;

      }

      .footer-logo img{
        width: 230px;
        height: 180px;
        position: relative;
      }

      .footer-logo span{
        margin-top: 2rem;
        margin-bottom: 0.5rem;
        width: 230px;
        height: 0.2rem;
        background-color: var(--cblue1);
      }

      .footer-logo p{
        font-size: 1.2rem;
        color: white;
        text-align: left;
        margin-top: 0.5rem;
      }

      .contact-info{
        width: 33%;
        display: flex;
        flex-direction: column;
        padding-left: 10%;
      }

      .contact-info h2{
        text-transform: uppercase;
        font-size: 1.5rem;
        color: white;
      }

      .contact-info span{
        margin-top: 0.5rem;
        margin-bottom: 1.5rem;
        width: 230px;
        height: 0.2rem;
        background-color: var(--cblue1);
      }
      .contact-info p{
        margin-top: 0.4rem;
        margin-bottom: 0.4rem;
        font-size: 1.3rem;
        color: var(--cyellow);
        text-align: left;
      }

      .footer-info{
        display: flex;
        flex-direction: column;
      }

      .footer-info a{
        text-decoration: none;
        font-size: 1.3rem;
        color: white;
        line-height: 2rem;
      }

      .footer-info a:hover{
        color: var(--cblue1);
      }

      .footer-icon{
        display: flex;
      }
      .social-footer ion-icon{
        font-size: 2rem;
        color: var(--cblue1);
        padding-top: 2rem;
        padding-right: 1rem;
      }

      .social-footer ion-icon:hover{
        color: white;
      }

      .quick-links{
        width: 33%;
        display: flex;
        flex-direction: column;
        padding-left: 10%;
      }

      .quick-links h2{
        text-transform: uppercase;
        font-size: 1.5rem;
        color: white;
      }

      .quick-links span{
        margin-top: 0.5rem;
        margin-bottom: 1.5rem;
        width: 230px;
        height: 0.2rem;
        background-color: var(--cblue1);
      }

      .quick-links a{
        text-decoration: none;
        font-size: 1.1rem;
        color: white;
        line-height: 1.8rem;
      }

      .quick-links a:hover{
        color: var(--cblue1);
      }


      .quick-links ul li {
        list-style: none;
      }

       



      /*      CONTACT  FORM  */


      .contact-form{
        width: 100%;
        height: 100vh;
        background: rgba(0, 0, 0, 0.7);
        position: absolute;
        top: 0;
        left: 0;
        visibility: hidden;
        z-index: 100;

      }


      form{
        width: 70%;
        height: 90%;
        position: relative;
        margin: 1.5rem auto;
        padding-top: 3rem;
        background-color: white;
        display: flex;
        flex-direction: column;
        align-items: center;

      }

      form h2{
        font-size: 1.3rem;
        color: var(--cblue1);
        margin-bottom: 1rem;
      }

      form input{
        width: 500px;
        height: 50px;
        border: none;
        border-bottom: 2px solid var(--cblue1);
        margin: 20px;
        padding-left: 1rem;
        outline: none;

      }

      form textarea{
        width: 500px;
        border: none;
        border-bottom: 2px solid var(--cblue1);
        margin: 20px;
        padding-left: 10px;
        outline: none;
      }
       .send{
        background: var(--cblue1);
        text-transform: uppercase;
        font-size: 1.2rem;
        color: white;
        border-bottom: none;
        cursor: pointer;

      }

      .exit{
        position: absolute;
        top: 20px;
        right: 40px;
        font-size: 2rem;
        cursor: pointer;
        color: var(--cyellow);
      }
      .contact-form.active{
        visibility: visible;
      }

      .proba{
        width: 100%;
        height: 80vh;
        background-image: url(img/bg01.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
      }

      .proba p{
          font-size: 1.8rem;
          color: white;
      }

      .proba img{
          width: 200px;
          height: 180px;
          padding-top: 3rem;
      }






                            /*      MEDIA SCREEN    */





@media screen and (max-width: 1320px) {

  .top {
    right: 5px;
    bottom: 40px;
  }


  #navbar {
    display: none;
  }
  .hamburger{
    display: block;
  }

  header{
    flex-direction: column;
    align-items: center;
    height: 160px;

  }


  #navbar.active {
    display: block;
    position: absolute;
    top: 160px;
    left: 0;
    width: 100%;
    height: 100vh;
    background-image: url(img/bg01.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 100;
    }

  #navbar.active .social{
    width: 100%;
    height: auto;
    flex-direction: column;
    align-items: center;
    padding-top: 1rem;
    padding-bottom: 1rem;

  }

  #navbar.active .social-dis{
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }



 .logo{
    width: 100%;
    height: 160px;
  }
  .logo img{
    width: 10rem;
    height: 7rem;
    margin-top: 1.5rem;
    margin-left: 2rem;
  }

  #navbar.active ul{
    width: 100%;
    height: auto;
    padding-top: 30px;
    flex-direction: column;
  }

    #navbar.active ul li{
    padding-top: 1.5rem;
  }

  #navbar.active .quote{
    padding-top: 0.6rem;
    padding-bottom: 0.6rem;
  }

  .header-buttons {
    display: flex;
  }

  #navbar.active + .hamburger + .header-buttons {
    display: none;
  }


  .main-text{
      width: 100%;
      height: auto;
      position: absolute;
      bottom: 0;
      left: 0;
      overflow: scroll;

  }

  .main-serv {
    width: 40%;
    padding-left: 0;
    padding-bottom: 1rem;
  }

  .main-text h2{
    text-transform: uppercase;
    font-size: 1.3rem;
    padding-top: 1rem;
    padding-left: 0;
  }

  .main-text p{
    font-size: 1.1rem;
    padding-top: 1.2rem;
    padding-left: 1rem;
    padding-right: 1rem;
    line-height: 1.6rem;
  }


  .interior{
    width: 100%;
    height: 130vh;
    border-top: 3rem solid white;
    border-right: 0;
    border-bottom: 0;
  }

  .inter-text{
    width: 100%;
    height: auto;
    position: absolute;
    bottom: 0;
    right: 0;
    overflow: scroll;
  }

  .interior ul{
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 1.2rem;
  }

  .interior ul li{
    padding-top: 1rem;
    font-size: 1.1rem;
  }



  .exterior{
    width: 100%;
    height: 100vh;
    border-left: 0;
  }

  .exter-text{
    width: 100%;
    height: auto;
    bottom: 0;
    left: 0;
    overflow: scroll;
  }

  .renovations{
    width: 100%;
    height: 130vh;
    border-top: 3rem solid white;
    border-right: 0;
    border-bottom: 0;
  }

  .reno-text{
    width: 100%;
    height: auto;
    bottom: 0rem;
    right: 0;
    overflow: scroll;
  }

  .waterproof{
    width: 100%;
    height: 100vh;
    border-left: 0;
  }

  .water-text{
    width: 100%;
    height: 60%;
    bottom: 0;
    left: 0;
    overflow: scroll;
  }

  .heating{
    width: 100%;
    height: 130vh;
    border-top: 3rem solid white;
    border-right: 0;
    border-bottom: 0;
  }

  .heating-text{
    width: 100%;
    height: 80vh;
    position: absolute;
    bottom: 0;
    right: 0;
    overflow: scroll;
  }


  .flooring{
    width: 100%;
    height: 130vh;
    border-left: 0;
    border-top: 0;
  }

  .floor-text{
    width: 100%;
    height: 80vh;
    bottom: 2rem;
    left: 0;
    overflow: scroll;
  }

  .serv-holder h2{
    font-size: 1.3rem;
    padding-top: 1rem;
    padding-left: 1rem;
  }

  .serv-holder p{
    font-size: 1.1rem;
    padding-left: 1rem;
    padding-right: 1rem;

  }

  .costumers{
  width: 100%;
  height: auto;
  padding: 2rem 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  }

  .star p{
  font-size: 1.3rem;
  text-align: center;

  }

  .star a{
  font-size: 1.3rem;
  text-decoration: none;
  color: var(--cblue1);
  }

  .star img{
  width: 200px;
  height: auto;
  padding-top: 2rem;
  padding-bottom: 2rem;
  }

  .get-in-touch p{
  font-size: 1.3rem;
  color: var(--cblue1);
  padding-bottom: 1.5rem;
  }


  .contact-holder{
    flex-direction: column;
    padding-top: 6rem;
    padding-bottom: 6rem;
    align-items:  center;
  }

  .footer-logo{
    width: 90%;
    margin-bottom: 4rem;
    padding-left: 10%;
  }

  .contact-info{
    width: 90%;
    margin-bottom: 4rem;
    padding-left: 10%;
  }
  .quick-links{
    width: 90%;
    margin-bottom: 4rem;
    padding-left: 10%;
  }

  .contact-form{
    width: 100%;
    height: auto;
    padding-bottom:  2rem;
    font-size: 0.6rem;
    color: white;

    }

    form{
      width: 90%;
      height: 90%;
      margin: 20px auto;
      padding-top: 3rem;
      padding-bottom: 3rem;
    }

    form input{
      width: 70%;
      height: 50px;
      margin: 10px;
      padding-left: 5px;
    }

    form textarea{
      width: 70%;
      padding-left: 5px;
    }
     .send{
      font-size: 1rem;
    }

    .exit{
      position: absolute;
      top: 5px;
      right: 5px;
      font-size: 1rem;
      z-index: 50;

    }

}


@media screen and (max-width: 820px) {

  header {
    height: 240px;
  }

  .hamburger {
    top: 74px;
  }

  .header-buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
    top: 170px;
    left: 33px;
    right: 24px;
    bottom: auto;
    transform: none;
  }
}


@media screen and (max-width: 680px) {
  .main-text{
      width: 100%;
      height: auto;
      position: absolute;
      bottom: 0;
      left: 0;
      overflow: scroll;
      flex-direction: column;
      align-items: center;

  }

  .main-text p{
    width: 100%;

  }

  .main-serv {
    width: 100%;
  }
}
